export function getStructureData () {
    return new Promise(resolve => {
        resolve({
            'success': true,
            'code': 200,
            'msg': '操作成功',
            'data': [
                {
                    'moduleId': '1531910331977306253',
                    'functionCode': '200912',
                    'moduleName': '审查报告',
                    'processKey': 'quickRecheck4',
                    'dccName': '审查报告',
                    'docCategoryElementCfgDTOS': [
                        {
                            'isRequired': '1',
                            'elementValueRule': '',
                            'categoryCode': 'DOCB03',
                            'categoryName': '项目审查材料/风控审查报告',
                            'transactionId': '1531910331977306259',
                            'revision': 0,
                            'elementName': '风控审查报告',
                            'moduleId': '1531910331977306253',
                            'sortLevel': '1',
                            'attacheFormat': '',
                            'isEditable': '1',
                            'elementValue': null,
                            'elementType': '1',
                            'elementId': '1531910331977306258'
                        },
                        {
                            'isRequired': '0',
                            'elementValueRule': '',
                            'categoryCode': null,
                            'categoryName': null,
                            'transactionId': '1531910331977306262',
                            'revision': 0,
                            'elementName': '风控审查意见',
                            'moduleId': '1531910331977306253',
                            'sortLevel': '2',
                            'attacheFormat': '',
                            'isEditable': '1',
                            'elementValue': null,
                            'elementType': '2',
                            'elementId': '1531910331977306263'
                        }
                    ],
                    'transactionId': '1531910331977306252',
                    'revision': 0
                }
            ]
        });
    });
}

export function getResData () {
    return new Promise(resolve => {
        resolve({
            // dsadsadadasew: {
            //     eeee1: { // elementId
            //         elementValue: '0', // 值
            //         elementType: '0' // element类型
            //     },
            //     // eeee2: { // elementId
            //     //     elementValue: '这是一大床萨达撒哈哈大我的回答是', // 值
            //     //     elementType: '2' // element类型
            //     // },
            //     // eeee3: { // elementId
            //     //     elementValue: [], // 值
            //     //     elementType: '1' // element类型
            //     // },
            //     eeee4: { // elementId
            //         elementValue: [
            //             {
            //                 'fileId': '1550414315856007168',
            //                 'path': 'https://s3-proxy.wti-xa.com:8888/olin/wti-document/2022/06/30/085621/1.1%20%E6%A0%B8%E5%BF%83API.pdf',
            //                 'name': '1.1 核心API.pdf',
            //                 'suffix': 'pdf',
            //                 'type': 'file',
            //                 'size': 625225,
            //                 'createTime': '2022-07-22 17:35:53',
            //                 'fileKey': 'f860bed86e2f8d7b775187a06b681d40',
            //                 'status': '1',
            //                 'transactionId': '7faf9de1351748fe8f5df97b63474638.37.16584825527601341',
            //                 'revision': 0,
            //                 'categoryCode': '90000001',
            //                 'categoryName': '项目中心文件'
            //             },
            //             {
            //                 'fileId': '1550414314681602048',
            //                 'path': 'https://s3-proxy.wti-xa.com:8888/olin/wti-document/2022/06/30/085706/DOCX%20%E6%96%87%E6%A1%A3.docx',
            //                 'name': 'DOCX 文档.docx',
            //                 'suffix': 'docx',
            //                 'type': 'file',
            //                 'size': 11079,
            //                 'createTime': '2022-07-22 17:35:53',
            //                 'fileKey': 'fde84315a986d21e8c43f256591a5031',
            //                 'status': '1',
            //                 'transactionId': '7faf9de1351748fe8f5df97b63474638.46.16584825524921323',
            //                 'revision': 0,
            //                 'categoryCode': '90000001',
            //                 'categoryName': '项目中心文件'
            //             }
            //         ], // 值
            //         elementType: '1' // element类型
            //     },
            // },
            // dsadsadadasew2: {
            //     eeee1: { // elementId
            //         elementValue: '', // 值
            //         elementType: '0' // element类型
            //     },
            //     eeee2: { // elementId
            //         elementValue: '', // 值
            //         elementType: '2' // element类型
            //     },
            //     eeee3: { // elementId
            //         elementValue: [], // 值
            //         elementType: '1' // element类型
            //     },
            //     eeee4: { // elementId
            //         elementValue: [
            //             {
            //                 'fileId': '1545265659641008128',
            //                 'filePath': 'https://s3.wti-xa.com/olin/wti-document/2022/07/08/123657/%E4%BB%98%E6%81%AF%E9%80%9A%E7%9F%A5%E5%8D%95-%E8%A5%BF%E9%83%A8%E4%BF%A1%E6%89%98%C2%B7%E7%A8%B3%E5%81%A5%E7%B3%BB%E5%88%97G07%E9%9B%86%E5%90%88%E8%B5%84%E9%87%91%E4%BF%A1%E6%89%98%E8%AE%A1%E5%88%9202.pdf',
            //                 'fileName': '付息通知单-西部信托·稳健系列G07集合资金信托计划02.pdf',
            //                 'categoryCode': '10100001',
            //                 'parentCategoryCode': '90000001',
            //                 'projectId': '2022-878',
            //                 'originalKey': '1545265362751397888',
            //                 'createTime': '2022-07-08 12:36:58',
            //                 'categoryCnName': '资金运用合同',
            //                 'size': 149247,
            //             },
            //             {
            //                 'fileId': '1545265701810540544',
            //                 'filePath': 'https://s3.wti-xa.com/olin/wti-document/2022/07/08/123707/%E6%8A%95%E8%B5%84%E5%AE%A1%E6%89%B9%E5%8D%95-%E5%88%9D%E5%A7%8B%E7%99%BB%E8%AE%B0%E6%B5%8B%E8%AF%95%E9%A1%B9%E7%9B%AE%20%282%29.pdf',
            //                 'fileName': '投资审批单-初始登记测试项目 (2).pdf',
            //                 'categoryCode': '10100002',
            //                 'parentCategoryCode': '90000001',
            //                 'projectId': '2022-878',
            //                 'originalKey': '1545265362751397888',
            //                 'createTime': '2022-07-08 12:37:08',
            //                 'categoryCnName': '信托合同',
            //                 'size': 155559,
            //             },
            //             {
            //                 'fileId': '1545265749386530816',
            //                 'filePath': 'https://s3.wti-xa.com/olin/wti-document/2022/06/07/XQGL-417%E6%B5%8B%E8%AF%95%E6%8A%A5%E5%91%8A.xlsx',
            //                 'fileName': 'XQGL-417测试报告.xlsx',
            //                 'categoryCode': '10100005',
            //                 'parentCategoryCode': '90000001',
            //                 'projectId': '2022-878',
            //                 'originalKey': '1545265362751397888',
            //                 'createTime': '2022-07-08 12:37:19',
            //                 'categoryCnName': '公函',
            //                 'size': 11142,
            //             },
            //         ], // 值
            //         elementType: '1' // element类型
            //     },
            // },
        });
    });
}
